Skip to Content
Cogwheel DocsCogwheel Docs
ApiV1V1.pathfinderservice

GetTokenDenoms

GetTokenDenoms returns all IBC denoms for a token across supported chains Use this to discover what denom a token has on different chains

POST/v1.PathfinderService/GetTokenDenoms

Header Parameters

Connect-Protocol-Version*1

Define the version of the Connect protocol

Value in1
Connect-Timeout-Ms?Connect-Timeout-Ms

Define the timeout, in ms

Request Body

  1. body

GetTokenDenomsRequest - Get all denoms for a token across chains Use this to discover what denom a token has on different chains

baseDenom*base_denom

The base denom (e.g., "uatone", "uosmo", "ustars")

originChain*origin_chain

The chain where this token is native (e.g., "atomone-1", "osmosis-1")

onChainId?on_chain_id

Optional: Filter to a specific chain. If empty, returns denoms on all chains

Response Body

Success

  1. response
found?found
base_denom?base_denom
origin_chain?origin_chain
denoms?array<>

All chains where this token is available and what denom it has

Example Request
curl -X POST 'https://example.com/v1.PathfinderService/GetTokenDenoms' \  -H 'Connect-Protocol-Version: 1' \  -H 'Content-Type: application/json' \  -d '{  "baseDenom": "string",  "originChain": "string"}'
Example Response
{  "found": true,  "base_denom": "string",  "origin_chain": "string",  "denoms": [    {      "chain_id": "string",      "chain_name": "string",      "denom": "string",      "is_native": true    }  ]}